unit newedit;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ExtCtrls, Buttons;

type

  { TNewEditForm }

  TNewEditForm = class(TForm)
    TitleEdit: TEdit;
    MobileEdit: TEdit;
    FaxEdit: TEdit;
    EmailEdit: TEdit;
    WebSiteEdit: TEdit;
    FirstNameEdit: TEdit;
    LastNameEdit: TEdit;
    Address1Edit: TEdit;
    Address2Edit: TEdit;
    TownEdit: TEdit;
    CountyEdit: TEdit;
    PostCodeEdit: TEdit;
    TelephoneEdit: TEdit;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    CommentsMemo: TMemo;
    OKBitBtn: TBitBtn;
    CancelBitBtn: TBitBtn;
    Label1: TLabel;
    Panel1: TPanel;
    procedure CancelBitBtnClick(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: boolean);
    procedure FormShow(Sender: TObject);
    procedure OKBitBtnClick(Sender: TObject);



  private
    { private declarations }
  public
    { public declarations }
  end;

var
  NewEditForm: TNewEditForm;

implementation

{$R *.lfm}

{ TNewEditForm }





procedure TNewEditForm.FormCloseQuery(Sender: TObject; var CanClose: boolean);
begin
  {if MessageDlg('Do you really want to close this dialog without saving the changes?',
    mtConfirmation, [mbYes, mbNo], 0) = mrNo then
  begin
    CanClose := False;
  end
  else
  begin
    CanClose := True;
  end;}
end;

procedure TNewEditForm.CancelBitBtnClick(Sender: TObject);
begin
 ModalResult := mrCancel;
end;

procedure TNewEditForm.FormShow(Sender: TObject);
begin
  if NewEditForm.Caption = 'New Record' then
  begin
    Label1.Caption :=
      'Enter text into the fields below and either click OK to add a new record or click Cancel to close the dialog without adding record.';
    TitleEdit.Clear;
    FirstNameEdit.Clear;
    LastNameEdit.Clear;
    Address1Edit.Clear;
    Address2Edit.Clear;
    TownEdit.Clear;
    CountyEdit.Clear;
    PostCodeEdit.Clear;
    TelephoneEdit.Clear;
    MobileEdit.Clear;
    FaxEdit.Clear;
    EmailEdit.Clear;
    WebSiteEdit.Clear;
    CommentsMemo.Clear;
  end
  else
  begin
    Label1.Caption :=
      'Alter the text in the fields below and either click OK to amend the record or click Cancel to close the dialog without change.';
  end;
end;

procedure TNewEditForm.OKBitBtnClick(Sender: TObject);
begin
  ModalResult := mrOk;
end;



end.
